/**
 * Adds a delay to animation properties
 *
 *
 */
import { TypedAnimNode } from './_Base';
import { TimelineBuilder } from '../../../core/animation/TimelineBuilder';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class DelayAnimParamsConfig extends NodeParamsConfig {
    /** @param delay */
    delay: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
}
export declare class DelayAnimNode extends TypedAnimNode<DelayAnimParamsConfig> {
    params_config: DelayAnimParamsConfig;
    static type(): string;
    initializeNode(): void;
    cook(input_contents: TimelineBuilder[]): void;
}
export {};
